#!/bin/sh
 JAVA=/usr/bin/kaffe
 ECLIPSE_HOME=`pwd`
 
 #########################################################################
 # You should NOT need to modify anything below this line.               #
 #########################################################################
 if [ ! -x $JAVA -o ! -f $ECLIPSE_HOME/startup.jar ]; then
   echo "Error: 'java' command or Eclipse's startup.jar not found!"
   echo "  JAVA=$JAVA"
   echo "  ECLIPSE_HOME=$ECLIPSE_HOME"
   echo "  Check the directories in $0 script and try again!"
   exit 1
 fi
 
 JAVACMD="$JAVA -Dosgi.locking=none"
 
 for one in `find $ECLIPSE_HOME -name \*.so | sed 's/^\(.*\)\/[^\/]*$/\1/g' |sort|uniq`; do
   LD_LIBRARY_PATH="$LD_LIBRARY_PATH":$one
 done
 
 export LD_LIBRARY_PATH JAVACMD ECLIPSE_HOME JAVA
 MAIN=org.eclipse.core.launcher.Main
 exec $JAVACMD \
 	-cp $ECLIPSE_HOME/startup.jar \
	$MAIN \
	-os linux -ws gtk -consolelog 2> /dev/null
